package com.keao.edu.user.page;

import com.keao.edu.common.page.QueryInfo;
import com.keao.edu.user.enums.StudentRegistrationStatusEnum;
import com.keao.edu.user.enums.TransStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;


public class ExamRegistrationPaymentQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "合作单位编号")
    private Integer organId;

    @ApiModelProperty(value = "准考证号")
    private String cardNo;

    @ApiModelProperty(value = "考级名称")
    private String ExamName;

    @ApiModelProperty(value = "考试报名编号")
    private Integer examRegistrationId;

    @ApiModelProperty(value = "考试项目编号")
    private Integer examinationBasicId;

    @ApiModelProperty(value = "学员编号")
    private Integer studentId;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "订单状态")
    private TransStatusEnum transStatus;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    public Integer getExamRegistrationId() {
        return examRegistrationId;
    }

    public void setExamRegistrationId(Integer examRegistrationId) {
        this.examRegistrationId = examRegistrationId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getExaminationBasicId() {
        return examinationBasicId;
    }

    public void setExaminationBasicId(Integer examinationBasicId) {
        this.examinationBasicId = examinationBasicId;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getExamName() {
        return ExamName;
    }

    public void setExamName(String examName) {
        ExamName = examName;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public TransStatusEnum getTransStatus() {
        return transStatus;
    }

    public void setTransStatus(TransStatusEnum transStatus) {
        this.transStatus = transStatus;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
